Summary: BSD database library for C, v1
Name: db1
Version: 1.85
Release: 1
Source: ftp://ftp.cs.berkeley.edu/ucb/4bsd/db.tar.gz
Patch0: db-1.85-1.85.2.diff
Patch1: db-1.85-sparc.diff
Patch2: db-1.85-db1.patch
Patch3: db-1.85-errno.patch
Copyright: BSD
ExclusiveArch: sparc
Group: Libraries

%changelog

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>

- major changes to change the name and location of things from db to db1
  because glibc 2.1 now provides version 2 of db which is incompatible
  with version 1.  We have apps that still need version 1 so for now we
  will patch those.  Eventually this package will be deprecated when all
  apps are ported to db 2.

%package devel
Summary: v1 development libraries and header files for Berkeley database library
Group: Libraries

%description
DB provides routines for creating simple database indexes. It is used
by many applications, including Python and Perl, so this should
be installed on all systems.  This is version 1 only.  It should be
used for building apps that require v1 support only.  All new apps 
should be written to use version 2 from glibc.

%description devel
DB provides routines for creating simple database indexes. It allows you
to create hash, record number, or BTree indexes whose elements have
arbitrary sizes. This package contains the header files, libraries, and
documentation for building programs with use DB.  This is version 1 only.
It should be used for building apps that require v1 support only.
All new apps should be written to use version 2 from glibc.

%prep
%setup -n db.1.85
%patch0 -p1
%ifarch sparc
%patch1 -p1
%endif

# patch to move everything to db1 names
%patch2 -p1 -b .db1

%patch3 -p1

%build

cd PORT/linux
make 

make shared

%install

cd man
for n in *.3; do 
    install -m 644 -o 0 -g 0 $n /usr/man/man3
done

cd ../PORT/linux
export PATH=/sbin:$PATH
make install

ln -sf libdb1.a /usr/lib/libndbm.a

/sbin/ldconfig
ln -sf libdb1.so.2.0.0 /usr/lib/libdb1.so
ln -sf libdb1.so /usr/lib/libndbm.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/lib/libdb1.so.2.0.0

%files devel
/usr/lib/libdb1.a
/usr/lib/libndbm.a
/usr/include/db1/mpool.h
/usr/include/db1/db.h
/usr/include/ndbm.h
/usr/include/db1/compat.h
/usr/man/man3/btree.3
/usr/man/man3/dbopen.3
/usr/man/man3/hash.3
/usr/man/man3/mpool.3
/usr/man/man3/recno.3
/usr/lib/libdb1.so
/usr/lib/libndbm.so
